.left-door {
    width: 60%;
    height: 100%;
    background: $green;
    color: $beige;
    gap: 50px;
    text-shadow: 10px 10px 4px rgba(0, 0, 0, 0.25);
    position: absolute;
    left: 0;
    top: 0;
    z-index: 2;

    span {
        display: inline-block;
        transition: 200ms;
        font-size: $ld-font-size;
        &:hover {
            color: lighten($beige, 10);
            transform: translateY(-15px);
        }
    }

    #door-button {
        width: 80px;
        height: 80px;
        background: white;
        position: absolute;
        right: -40px;
        top: 50%;
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
        border-radius: 10px;
        -webkit-box-shadow: inset 0px 0px 5px #c1c1c1;
        -moz-box-shadow: inset 0px 0px 5px #c1c1c1;
             box-shadow: inset 0px 0px 5px #c1c1c1;
        z-index: 1;

        &:hover {
            -webkit-box-shadow: inset 0px 0px 10px #aaaaaa;
            -moz-box-shadow: inset 0px 0px 10px #aaaaaa;
                 box-shadow: inset 0px 0px 10px #aaaaaa;
        }
        img {
            width: 50px;
            transition: 200ms;
            &:hover {
                width: 57px;
            }
        }
    }

}
.right-door {
    width: 40%;
    height: 100%;
    background: $beige;
    color: $green;
    box-shadow: -8px 0 8px -12px #000000;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1;

    div {
        transform: rotate(-90deg);
        p {
            font-size: $rd-font-size; 
        }
    }

    p:last-child {
        font-size: $rd-font-size-child;           
    }
}

/* animation du bouton*/ 
.btn-anim-out {
    @extend #door-button;
    animation: 1s btnout ease-in-out;
    animation-fill-mode: forwards;
}

@keyframes btnout {
    0% {}
    100% { top: 110%;transform: rotate(45deg);}
}

/* Animation ouverture des portes */

.right-door-open {
    @extend .right-door;
    animation: 2.5s rdout ease-in-out;
    animation-fill-mode: forwards;
}
@keyframes rdout {
    0% { }
    15% {transform : translateX(15%); }
    30% {transform : translateX(5%); }
    100% {transform : translateX(100%);}
}

.left-door-open {
    @extend .left-door;
    animation: 2.5s ldout ease-in-out;
    animation-fill-mode: forwards;
}
@keyframes ldout {
    0% { }
    15% {transform : translateX(-15%); }
    30% {transform : translateX(-5%); }
    100% {transform : translateX(-105%);}
}

/* reverse animation porte*/
.btn-anim-in {
    @extend #door-button;
    animation: 1s btnin ease-in-out;
    animation-fill-mode: forwards;
}

@keyframes btnin {
    0% {top: 110%;}
    100% { top: 50%}
}

/* Animation des doors */

.right-door-close {
    @extend .right-door;
    animation: 2s rdin ease-in-out;
    animation-fill-mode: forwards;
}
@keyframes rdin {
    0% {transform : translateX(100%);}
    100% {transform : translateX(0%);}
}

.left-door-close {
    @extend .left-door;
    animation: 2s ldin ease-in-out;
    animation-fill-mode: forwards;
}
@keyframes ldin {
    0% {transform : translateX(-100%);}
    100% {transform : translateX(0%);}
}